Bug 104381 - ifup dhcp failure with pcnet32 card
ifup dhcp failure with pcnet32 card
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-09-14 05:42 EDT by jari.kreku
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jari.kreku 2003-09-14 05:42:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
When I am trying to 'ifup eth0' with a pcnet32 based ethernet card using DHCP,
the ifup script fails with the following error message

    failed; no link present.  Check cable?

even if the cable is ok. I was able to fix the problem by commenting out the
following lines in ifup:

    # if check_link_down ${DEVICE}; then
    #     echo $" failed; no link present.  Check cable?"
    #     ip link set ${DEVICE} down >/dev/null 2>&1
    #     exit 1
    # fi

The real problem is most likely in the check_link_down. The problem seems to
exist in the Severn beta, too.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. ifup eth0

Actual Results:  Error message "failed; no link present.  Check cable?"

Expected Results:  Network connection should have started up normally.

Additional info:
Comment 1 Bill Nottingham 2003-09-14 21:32:21 EDT
This is a driver bug.
Comment 2 Bugzilla owner 2004-09-30 11:41:31 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.